Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1446571 - Review Request: nodejs-http-proxy - A full-featured http proxy for node.js
Summary: Review Request: nodejs-http-proxy - A full-featured http proxy for node.js
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1444766
Blocks: nodejs-reviews 1447201
TreeView+ depends on / blocked
 
Reported: 2017-04-28 11:16 UTC by Parag Nemade
Modified: 2017-05-09 03:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-09 03:58:00 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Parag Nemade 2017-04-28 11:16:08 UTC
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-http-proxy.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-http-proxy-1.16.2-1.fc26.src.rpm

Description:
node-http-proxy is an HTTP programmable proxying library that supports
websockets. It is suitable for implementing components such as reverse
proxies and load balancers.

Comment 1 Parag Nemade 2017-04-28 11:16:15 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=19269022

Comment 2 Jared Smith 2017-05-03 12:57:26 UTC
This package requires eventemitter3 < 2, but bug 1446571 provides eventemitter3 2.0.3.

Also, there's a warning about mixed spaces and tabs -- not a big deal, but something you may want to address while you're working on the spec file.

Comment 3 Jared Smith 2017-05-03 12:58:30 UTC
Sorry, I meant bug 1444766.

Comment 5 Parag Nemade 2017-05-08 14:28:52 UTC
nodejs-eventemitter3 is now in rawhide. Can this package be reviewed now?

Comment 6 Jared Smith 2017-05-08 22:37:01 UTC
Reviewing it now.

Comment 7 Jared Smith 2017-05-08 23:03:31 UTC
Building throws the following error:

+ /usr/bin/node -e 'require("./")'
module.js:471
    throw err;
    ^

Error: Cannot find module 'requires-port'

Please move the npm(requires-port) and npm(event-emitter3) BuildRequires to outside the test for enabling the tests.

Otherwise, package is approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 31 files have
     unknown license. Detailed output of licensecheck in
     /home/jsmith/Documents/Personal/Reviews/1446571-nodejs-http-proxy
     /srpm-unpacked/review-nodejs-http-proxy/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: nodejs-http-proxy-1.16.2-3.fc27.noarch.rpm
          nodejs-http-proxy-1.16.2-3.fc27.src.rpm
nodejs-http-proxy.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-http-proxy.noarch: W: spelling-error %description -l en_US proxying -> propping
nodejs-http-proxy.noarch: W: spelling-error %description -l en_US balancers -> balances, balance's, balance rs
nodejs-http-proxy.noarch: W: only-non-binary-in-usr-lib
nodejs-http-proxy.noarch: W: dangling-symlink /usr/lib/node_modules/http-proxy/node_modules/eventemitter3 /usr/lib/node_modules/eventemitter3
nodejs-http-proxy.noarch: W: dangling-symlink /usr/lib/node_modules/http-proxy/node_modules/requires-port /usr/lib/node_modules/requires-port
nodejs-http-proxy.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-http-proxy.src: W: spelling-error %description -l en_US proxying -> propping
nodejs-http-proxy.src: W: spelling-error %description -l en_US balancers -> balances, balance's, balance rs
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Requires
--------
nodejs-http-proxy (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(eventemitter3)
    npm(requires-port)



Provides
--------
nodejs-http-proxy:
    nodejs-http-proxy
    npm(http-proxy)



Source checksums
----------------
https://github.com/nodejitsu/node-http-proxy/archive/1.16.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1e277df7f808b28d4b09d6dd92e29df85b5b90058ae5815c94c98032133e395f
  CHECKSUM(SHA256) upstream package : 1e277df7f808b28d4b09d6dd92e29df85b5b90058ae5815c94c98032133e395f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n nodejs-http-proxy
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Parag Nemade 2017-05-09 03:19:43 UTC
Sorry I missed to move the required BuildRequires in previous update. Its now fixed in the next update -3 release.

Thank you for approving this package.

Comment 9 Gwyn Ciesla 2017-05-09 03:37:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-http-proxy

Comment 10 Parag Nemade 2017-05-09 03:58:00 UTC
Built in rawhide, will push to f26 separately.


Note You need to log in before you can comment on or make changes to this bug.